"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const weather = require("weather-js");
function load(jumpFm) {
    function update() {
        weather.find({
            search: jumpFm.settings.getStr('weatherLocation', 'Haifa, IL'),
            degreeType: 'C'
        }, (err, res) => {
            if (err) {
                console.log(err);
                return;
            }
            const cur = res[0].current;
            const temp = cur.temperature;
            const cls = temp < 25 ? 'info' : (temp < 35 ? 'warn' :
                'err');
            jumpFm.statusBar.msg([cls])('weather', {
                txt: `${cur.temperature}°`,
                dataTitle: `${cur.humidity}% ${cur.windspeed.replace(/ /g, '')}`
            });
        });
    }
    update();
    setInterval(update, 36000);
}
exports.load = load;
//# sourceMappingURL=index.js.map